Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
tag: v1.4.18
Fetching contributors…

Cannot retrieve contributors at this time

163 lines (162 sloc) 3.713 kB
{
"version": "1.4.18",
"name": "npm",
"description": "A package manager for node",
"keywords": [
"package manager",
"modules",
"install",
"package.json"
],
"preferGlobal": true,
"config": {
"publishtest": false
},
"homepage": "https://npmjs.org/doc/",
"author": "Isaac Z. Schlueter <i@izs.me> (http://blog.izs.me)",
"repository": {
"type": "git",
"url": "https://github.com/npm/npm"
},
"bugs": {
"email": "npm-@googlegroups.com",
"url": "http://github.com/npm/npm/issues"
},
"directories": {
"doc": "./doc",
"man": "./man",
"lib": "./lib",
"bin": "./bin"
},
"main": "./lib/npm.js",
"bin": "./bin/npm-cli.js",
"dependencies": {
"abbrev": "~1.0.5",
"ansi": "~0.3.0",
"ansicolors": "~0.3.2",
"ansistyles": "~0.1.3",
"archy": "0",
"block-stream": "0.0.7",
"char-spinner": "~1.0.1",
"child-process-close": "~0.1.1",
"chmodr": "~0.1.0",
"chownr": "0",
"cmd-shim": "~1.1.1",
"columnify": "~1.1.0",
"editor": "~0.1.0",
"fstream": "~0.1.28",
"fstream-npm": "~0.1.7",
"github-url-from-git": "1.1.1",
"github-url-from-username-repo": "~0.2.0",
"glob": "~4.0.3",
"graceful-fs": "~3.0.0",
"inflight": "~1.0.1",
"ini": "~1.2.0",
"init-package-json": "~0.1.0",
"lockfile": "~0.4.0",
"lru-cache": "~2.5.0",
"minimatch": "~0.3.0",
"mkdirp": "~0.3.5",
"node-gyp": "~0.13.0",
"nopt": "~3.0.0",
"npm-cache-filename": "~1.0.1",
"npm-install-checks": "~1.0.2",
"npm-registry-client": "~2.0.2",
"npm-user-validate": "~0.1.0",
"npmconf": "~1.1.2",
"npmlog": "~0.1.1",
"once": "~1.3.0",
"opener": "~1.3.0",
"osenv": "~0.1.0",
"path-is-inside": "~1.0.0",
"read": "~1.0.4",
"read-installed": "~2.0.5",
"read-package-json": "~1.2.2",
"request": "~2.30.0",
"retry": "~0.6.0",
"rimraf": "~2.2.8",
"semver": "~2.3.0",
"sha": "~1.2.1",
"slide": "~1.1.5",
"sorted-object": "~1.0.0",
"tar": "~0.1.20",
"text-table": "~0.2.0",
"uid-number": "0.0.5",
"which": "1"
},
"bundleDependencies": [
"abbrev",
"ansi",
"ansicolors",
"ansistyles",
"archy",
"block-stream",
"char-spinner",
"child-process-close",
"chmodr",
"chownr",
"cmd-shim",
"columnify",
"editor",
"fstream",
"fstream-npm",
"github-url-from-git",
"github-url-from-username-repo",
"glob",
"graceful-fs",
"inflight",
"inherits",
"ini",
"init-package-json",
"lockfile",
"lru-cache",
"minimatch",
"mkdirp",
"node-gyp",
"nopt",
"npm-cache-filename",
"npm-install-checks",
"npm-registry-client",
"npm-user-validate",
"npmconf",
"npmlog",
"once",
"opener",
"osenv",
"path-is-inside",
"read",
"read-installed",
"read-package-json",
"request",
"retry",
"rimraf",
"semver",
"sha",
"slide",
"sorted-object",
"tar",
"text-table",
"uid-number",
"which"
],
"devDependencies": {
"marked": "~0.3.2",
"npm-registry-couchapp": "~2.3.6",
"npm-registry-mock": "~0.6.3",
"ronn": "~0.3.6",
"tap": "~0.4.9"
},
"engines": {
"node": ">=0.8",
"npm": "1"
},
"scripts": {
"test-legacy": "node ./test/run.js",
"test": "tap --timeout 120 test/tap/*.js",
"tap": "tap --timeout 120 test/tap/*.js",
"test-all": "node ./test/run.js && tap test/tap/*.js",
"prepublish": "node bin/npm-cli.js prune --prefix=. --no-global && rm -rf test/*/*/node_modules && make -j8 doc",
"dumpconf": "env | grep npm | sort | uniq"
},
"license": "Artistic-2.0"
}
Jump to Line
Something went wrong with that request. Please try again.